devplugin

## Class Channel

- java.lang.Object
- - devplugin.Channel

- All Implemented Interfaces:
    java.lang.Comparable<Channel>
  Direct Known Subclasses:
    DummyChannel

      public class Channel
      extends java.lang.Object
      implements java.lang.Comparable<Channel>

  A class that defines a TV-Browser channel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CATEGORY_CINEMA` The identifier for a channel that is in the category cinema
    `static int` | `CATEGORY_DIGITAL` The identifier for a channel that is in the category digital
    `static int` | `CATEGORY_EVENTS` The identifier for a channel that is in the category events
    `static int` | `CATEGORY_NONE` The identifier for a channel that fits in no other category
    `static int` | `CATEGORY_PAY_TV` The identifier for a channel that is in the category pay TV
    `static int` | `CATEGORY_PAYED_DATA_TV` The identifier for a channel that is in the category payed data TV
    `static int` | `CATEGORY_RADIO` The identifier for a channel that is in the category radio
    `static int` | `CATEGORY_SPECIAL_MUSIC` The identifier for a channel that is in the category music
    `static int` | `CATEGORY_SPECIAL_NEWS` The identifier for a channel that is in the category news
    `static int` | `CATEGORY_SPECIAL_OTHER` The identifier for a channel that is in the category other
    `static int` | `CATEGORY_SPECIAL_SPORT` The identifier for a channel that is in the category sport
    `static int` | `CATEGORY_TV` The identifier for a channel that is in the category TV

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice, java.lang.String webpage)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon, int categories)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon, int categories, java.lang.String unescapedName)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String baseCountry, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon, int categories, java.lang.String unescapedName, java.lang.String[] allCountries)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String baseCountry, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon, int categories, java.lang.String unescapedName, java.lang.String[] allCountries, java.lang.String sharedChannelId)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String baseCountry, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon, int categories, java.lang.String unescapedName, java.lang.String[] allCountries, java.lang.String sharedChannelId, boolean accessControl)` Creates an instance of this class.
    `Channel(AbstractTvDataService dataService, java.lang.String name, java.util.TimeZone timeZone, java.lang.String country, java.lang.String copyrightNotice)` Creates an instance of this class.
    `Channel(java.lang.String id, java.lang.String country)` Creates an instance of this class.
    `Channel(java.lang.String name, java.lang.String id, java.lang.String country)` Creates an instance of this class.
    `Channel(java.lang.String dataServiceID, java.lang.String name, java.lang.String id, java.util.TimeZone timeZone, java.lang.String baseCountry, java.lang.String copyrightNotice, java.lang.String webpage, ChannelGroup group, javax.swing.Icon icon, int categories, java.lang.String unescapedName, java.lang.String[] allCountries, java.lang.String sharedChannelId, boolean accessControl)` Creates an instance of this class.
    `Channel(java.lang.String id, java.util.TimeZone timeZone, java.lang.String country)` Creates an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Channel other)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String[]` | `getAllCountries()`
    `Channel` | `getBaseChannel()` Gets the base channel of this channel.
    `java.lang.String` | `getBaseCountry()` Gets the base country of this channel.
    `int` | `getCategories()` Gets the categories of this channel.
    `static Channel` | `getChannel(java.lang.String dataServiceId, java.lang.String groupId, java.lang.String country, java.lang.String channelId)`
    `static Channel` | `getChannelForChannel(Channel ch)` Gets the base channel for the given channel if joined or returns the channel.
    `java.lang.String` | `getCopyrightNotice()` Gets the copyright notice for this channel.
    `java.lang.String` | `getCountriesString()` Gets the countries String for this channel.
    `java.lang.String` | `getCountry()` Deprecated. since 3.2.1 use `getBaseCountry()` instead.
    `java.lang.String` | `getDataServiceId()`
    `java.lang.String` | `getDataServicePackageName()`
    `TvDataServiceProxy` | `getDataServiceProxy()` Gets the data service proxy of this channel
    `javax.swing.Icon` | `getDefaultIcon()` Return the Default-Icon
    `java.lang.String` | `getDefaultName()` Get the default ChannelName
    `java.lang.String` | `getDefaultWebPage()` Get the Default WebPage
    `int` | `getEndTimeLimit()` Gets the end time limit in minutes of day.
    `ChannelGroup` | `getGroup()` Gets the channel group of this channel.
    `javax.swing.Icon` | `getIcon()`
    `java.lang.String` | `getId()` Gets the id of this channel.
    `Channel` | `getJointChannel()` Gets the joint channel of this channel.
    `javax.swing.Icon` | `getJointChannelIcon()` Gets the joint channel icon of this channel
    `java.lang.String` | `getJointChannelName()` Gets the joint channel name of this channel
    `static java.lang.String` | `getLocalizedCategory(int category)` get the localized name of the given category
    `java.lang.String` | `getName()` Gets the name of this channel.
    `java.lang.String` | `getSharedChannelId()` Gets the shared channel id for this channel.
    `java.lang.String` | `getSortNumber()` Gets the sort number of this channel.
    `int` | `getStartTimeLimit()` Gets the start time limit in minutes of day.
    `java.util.TimeZone` | `getTimeZone()` Gets the time zone of this channel.
    `int` | `getTimeZoneCorrectionMinutes()` Gets the time zone offset of this channel.
    `java.lang.String` | `getUnescapedName()` Gets the unescaped name of this channel.
    `java.lang.String` | `getUniqueId()` Gets a unique identifier of this channel.
    `java.lang.String` | `getUserChannelName()` Get the ChannelName used by the User
    `java.lang.String` | `getUserIconFileName()`
    `java.lang.String` | `getUserWebPage()` Get the WebPage used by the User
    `java.lang.String` | `getWebpage()` Gets the webpage for this channel.
    `int` | `hashCode()`
    `boolean` | `hasIcon()` Gets if this channel has an icon.
    `boolean` | `isAccessControl()`
    `boolean` | `isTimeLimited()` Gets if this channel is limited in start and end time.
    `boolean` | `isUsingUserIcon()` Is using the User-Icon if availabe?
    `static Channel` | `readData(java.io.DataInput in, boolean allowNull)` Method for OnDemandDayProgramFile file format version 2.
    `static Channel` | `readData(java.io.ObjectInputStream in, boolean allowNull)` Creates an instance of this class from a stream.
    `void` | `setChannelCopyrightNotice(java.lang.String copyrightNotice)` Sets the copyright notice of this channel.
    `void` | `setChannelName(java.lang.String name)` Sets the name of this channel.
    `void` | `setChannelWebpage(java.lang.String webpage)` Sets the webpage of this channel.
    `void` | `setDefaultIcon(javax.swing.Icon icon)` Sets the Default-Icon.
    `void` | `setEndTimeLimit(int endTimeLimit)` Sets the end time limit to the new value.
    `void` | `setIcon(javax.swing.Icon icon)`
    `void` | `setJointChannel(Channel ch)` Sets the joint channel of this channel.
    `void` | `setSortNumber(java.lang.String number)` Sets the sort number of this channel to the given value.
    `void` | `setStartTimeLimit(int startTimeLimit)` Sets the start time limit to the new value.
    `void` | `setTimeZoneCorrectionMinutes(int minutes)` Corrects the time zone offset of the channel.
    `void` | `setUserChannelName(java.lang.String name)` Set the ChannelName used by the User
    `void` | `setUserIconFileName(java.lang.String filename)` Sets the user icon file name.
    `void` | `setUserWebPage(java.lang.String url)` Set the WebPage used by the User
    `java.lang.String` | `toString()`
    `void` | `useUserIcon(boolean use)` Use the User-Icon if available?
    `void` | `writeData(java.io.ObjectOutputStream out)` Serialized this object.
    `void` | `writeToDataFile(java.io.RandomAccessFile out)` Method for OnDemandDayProgramFile file format version 2.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CATEGORY_NONE

          public static final int CATEGORY_NONE

      The identifier for a channel that fits in no other category
      See Also:
        Constant Field Values

    - #### CATEGORY_TV

          public static final int CATEGORY_TV

      The identifier for a channel that is in the category TV
      See Also:
        Constant Field Values

    - #### CATEGORY_RADIO

          public static final int CATEGORY_RADIO

      The identifier for a channel that is in the category radio
      See Also:
        Constant Field Values

    - #### CATEGORY_CINEMA

          public static final int CATEGORY_CINEMA

      The identifier for a channel that is in the category cinema
      See Also:
        Constant Field Values

    - #### CATEGORY_EVENTS

          public static final int CATEGORY_EVENTS

      The identifier for a channel that is in the category events
      See Also:
        Constant Field Values

    - #### CATEGORY_DIGITAL

          public static final int CATEGORY_DIGITAL

      The identifier for a channel that is in the category digital
      See Also:
        Constant Field Values

    - #### CATEGORY_SPECIAL_MUSIC

          public static final int CATEGORY_SPECIAL_MUSIC

      The identifier for a channel that is in the category music
      See Also:
        Constant Field Values

    - #### CATEGORY_SPECIAL_SPORT

          public static final int CATEGORY_SPECIAL_SPORT

      The identifier for a channel that is in the category sport
      See Also:
        Constant Field Values

    - #### CATEGORY_SPECIAL_NEWS

          public static final int CATEGORY_SPECIAL_NEWS

      The identifier for a channel that is in the category news
      See Also:
        Constant Field Values

    - #### CATEGORY_SPECIAL_OTHER

          public static final int CATEGORY_SPECIAL_OTHER

      The identifier for a channel that is in the category other
      See Also:
        Constant Field Values

    - #### CATEGORY_PAY_TV

          public static final int CATEGORY_PAY_TV

      The identifier for a channel that is in the category pay TV
      See Also:
        Constant Field Values

    - #### CATEGORY_PAYED_DATA_TV

          public static final int CATEGORY_PAYED_DATA_TV

      The identifier for a channel that is in the category payed data TV
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String baseCountry,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon,
                 int categories,
                 java.lang.String unescapedName,
                 java.lang.String[] allCountries,
                 java.lang.String sharedChannelId)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `baseCountry` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.
        `categories` - The categories for this channel.
        `unescapedName` - The unescaped name for this channel.
        `allCountries` - All supported countries of this channel. ATTENTION: Have to contain the base country too.
        `sharedChannelId` - The id of the shared channel.
      Since:
        3.2.1

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String baseCountry,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon,
                 int categories,
                 java.lang.String unescapedName,
                 java.lang.String[] allCountries,
                 java.lang.String sharedChannelId,
                 boolean accessControl)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `baseCountry` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.
        `categories` - The categories for this channel.
        `unescapedName` - The unescaped name for this channel.
        `allCountries` - All supported countries of this channel. ATTENTION: Have to contain the base country too.
        `sharedChannelId` - The id of the shared channel.
        `accessControl` - If access of certain plugins to this channel should be prevented by TV-Browser.
      Since:
        3.3.4

    - #### Channel

          public Channel(java.lang.String dataServiceID,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String baseCountry,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon,
                 int categories,
                 java.lang.String unescapedName,
                 java.lang.String[] allCountries,
                 java.lang.String sharedChannelId,
                 boolean accessControl)

      Creates an instance of this class.

      Parameters:
        `dataServiceID` - The ID of the data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `baseCountry` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.
        `categories` - The categories for this channel.
        `unescapedName` - The unescaped name for this channel.
        `allCountries` - All supported countries of this channel. ATTENTION: Have to contain the base country too.
        `sharedChannelId` - The id of the shared channel.
        `accessControl` - If access of certain plugins to this channel should be prevented by TV-Browser.
      Since:
        3.3.4

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String baseCountry,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon,
                 int categories,
                 java.lang.String unescapedName,
                 java.lang.String[] allCountries)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `baseCountry` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.
        `categories` - The categories for this channel.
        `unescapedName` - The unescaped name for this channel.
        `allCountries` - All supported countries of this channel. ATTENTION: Have to contain the base country too.
      Since:
        3.2.1

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon,
                 int categories,
                 java.lang.String unescapedName)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.
        `categories` - The categories for this channel.
        `unescapedName` - The unescaped name for this channel.

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon,
                 int categories)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.
        `categories` - The categories for this channel.

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group,
                 javax.swing.Icon icon)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.
        `icon` - The icon for this channel.

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage,
                 ChannelGroup group)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.
        `group` - The group of this channel.

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice,
                 java.lang.String webpage)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.
        `webpage` - The webpage of this channel.

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.

    - #### Channel

          public Channel(AbstractTvDataService dataService,
                 java.lang.String name,
                 java.util.TimeZone timeZone,
                 java.lang.String country,
                 java.lang.String copyrightNotice)

      Creates an instance of this class.

      Parameters:
        `dataService` - The data service of this channel.
        `name` - The name of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.
        `copyrightNotice` - The copyright notice for this channel.

    - #### Channel

          public Channel(java.lang.String id,
                 java.util.TimeZone timeZone,
                 java.lang.String country)

      Creates an instance of this class.

      Parameters:
        `id` - The id of this channel.
        `timeZone` - The time zone of this channel.
        `country` - The base country of this channel.

    - #### Channel

          public Channel(java.lang.String name,
                 java.lang.String id,
                 java.lang.String country)

      Creates an instance of this class.

      Parameters:
        `name` - The name of this channel.
        `id` - The id of this channel.
        `country` - The base country of this channel.

    - #### Channel

          public Channel(java.lang.String id,
                 java.lang.String country)

      Creates an instance of this class.

      Parameters:
        `id` - The id of this channel.
        `country` - The base country of this channel.

  - ### Method Detail

    - #### readData

          public static Channel readData(java.io.ObjectInputStream in,
                         boolean allowNull)
                                  throws java.io.IOException,
                                         java.lang.ClassNotFoundException

      Creates an instance of this class from a stream.

      Parameters:
        `in` - The stream to load the data from.
        `allowNull` - `True` if the method is allowed to return `null`.
      Returns:
        The load channel or `null` if `allowNull` is `true` and the channel could not be load.
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### readData

          public static Channel readData(java.io.DataInput in,
                         boolean allowNull)
                                  throws java.io.IOException,
                                         java.lang.ClassNotFoundException

      Method for OnDemandDayProgramFile file format version 2.
      Parameters:
        `in` - The file too read the Data from.
        `allowNull` -
      Returns:
        channel
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`
      Since:
        2.2

    - #### writeToDataFile

          public void writeToDataFile(java.io.RandomAccessFile out)
                               throws java.io.IOException

      Method for OnDemandDayProgramFile file format version 2.
      Parameters:
        `out` - The file to write the Data in.
      Throws:
        `java.io.IOException`
      Since:
        2.2

    - #### writeData

          public void writeData(java.io.ObjectOutputStream out)
                         throws java.io.IOException

      Serialized this object.
      Parameters:
        `out` - The stream to write the values of this channel to.
      Throws:
        `java.io.IOException`

    - #### getCopyrightNotice

          public java.lang.String getCopyrightNotice()

      Gets the copyright notice for this channel.

      Returns:
        The copyright notice for this channel.

    - #### getWebpage

          public java.lang.String getWebpage()

      Gets the webpage for this channel.

      Returns:
        The webpage for this channel.

    - #### getGroup

          public ChannelGroup getGroup()

      Gets the channel group of this channel.

      Returns:
        The channel group of this channel.

    - #### getCategories

          public int getCategories()

      Gets the categories of this channel.

      Returns:
        The categories of this channel.

    - #### getChannel

          public static Channel getChannel(java.lang.String dataServiceId,
                           java.lang.String groupId,
                           java.lang.String country,
                           java.lang.String channelId)

      Parameters:
        `dataServiceId` - The id of the data service of the channel to get.
        `groupId` - The group id of the channel to get.
        `country` - The country of the channel to get.
        `channelId` - The id of the channel to get.
      Returns:
        The channel with the given ids or `null` if no channel with the ids was found.

    - #### getTimeZone

          public java.util.TimeZone getTimeZone()

      Gets the time zone of this channel.

      Returns:
        The time zone of this channel.

    - #### getCountry

          public java.lang.String getCountry()

      Deprecated. since 3.2.1 use `getBaseCountry()` instead.
      Gets the country of this channel.

      Returns:
        The country of this channel.

    - #### getBaseCountry

          public java.lang.String getBaseCountry()

      Gets the base country of this channel.

      Returns:
        The country of this channel.
      Since:
        3.2.1

    - #### getAllCountries

          public java.lang.String[] getAllCountries()

      Returns:
        All countries of this channel.

    - #### setTimeZoneCorrectionMinutes

          public void setTimeZoneCorrectionMinutes(int minutes)

      Corrects the time zone offset of the channel.

      Parameters:
        `minutes` - The offset in minutes. Valid values are only half or full hours (positive and negative).
      Since:
        3.0

    - #### getTimeZoneCorrectionMinutes

          public int getTimeZoneCorrectionMinutes()

      Gets the time zone offset of this channel.

      Returns:
        time zone offset
      Since:
        3.0

    - #### getDataServiceProxy

          public TvDataServiceProxy getDataServiceProxy()

      Gets the data service proxy of this channel

      Returns:
        The data service proxy of this channel

    - #### setDefaultIcon

          public void setDefaultIcon(javax.swing.Icon icon)

      Sets the Default-Icon. This Icon is shown if no Icon is set by the User
      Parameters:
        `icon` - Default-Icon

    - #### setIcon

          public void setIcon(javax.swing.Icon icon)

      Parameters:
        `icon` - The new icon or null to remove the current icon

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

      Gets the name of this channel.

      Returns:
        The name of this channel.

    - #### getId

          public java.lang.String getId()

      Gets the id of this channel.

      Returns:
        The id of this channel.

    - #### getIcon

          public javax.swing.Icon getIcon()

      Returns:
        the Icon for this Channel

    - #### hasIcon

          public boolean hasIcon()

      Gets if this channel has an icon.

      Returns:
        `True` if this channel has an icon, `false` otherwise.

    - #### setUserIconFileName

          public void setUserIconFileName(java.lang.String filename)

      Sets the user icon file name.

      Parameters:
        `filename` - The file name of the user icon file.

    - #### getUserIconFileName

          public java.lang.String getUserIconFileName()

      Returns:
        null, if no user icon filename is specified

    - #### useUserIcon

          public void useUserIcon(boolean use)

      Use the User-Icon if available?
      Parameters:
        `use` - true for using User-Icon

    - #### isUsingUserIcon

          public boolean isUsingUserIcon()

      Is using the User-Icon if availabe?
      Returns:
        Using User-Icon if available?

    - #### getDefaultIcon

          public javax.swing.Icon getDefaultIcon()

      Return the Default-Icon
      Returns:
        Default-Icon

    - #### setUserChannelName

          public void setUserChannelName(java.lang.String name)

      Set the ChannelName used by the User
      Parameters:
        `name` - new ChannelName
      Since:
        2.1

    - #### getUserChannelName

          public java.lang.String getUserChannelName()

      Get the ChannelName used by the User
      Returns:
        ChannelName
      Since:
        2.1

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Get the default ChannelName
      Returns:
        default ChannelName
      Since:
        2.1

    - #### setUserWebPage

          public void setUserWebPage(java.lang.String url)

      Set the WebPage used by the User
      Parameters:
        `url` - WebPage
      Since:
        2.1

    - #### getUserWebPage

          public java.lang.String getUserWebPage()

      Get the WebPage used by the User
      Returns:
        WebPage
      Since:
        2.1

    - #### getDefaultWebPage

          public java.lang.String getDefaultWebPage()

      Get the Default WebPage
      Returns:
        WebPage
      Since:
        2.1

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isTimeLimited

          public boolean isTimeLimited()

      Gets if this channel is limited in start and end time.
      Returns:
        `True` if this channel is time limited.
      Since:
        2.2.4/2.6

    - #### getStartTimeLimit

          public int getStartTimeLimit()

      Gets the start time limit in minutes of day. This is used to exclude programs from the day program that starts before the start time limit.
      Returns:
        The start time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### setStartTimeLimit

          public void setStartTimeLimit(int startTimeLimit)

      Sets the start time limit to the new value.
      Parameters:
        `startTimeLimit` - The new value for start time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### getEndTimeLimit

          public int getEndTimeLimit()

      Gets the end time limit in minutes of day. This is used to exclude programs from the day program that starts after the end time limit.
      Returns:
        The start time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### setEndTimeLimit

          public void setEndTimeLimit(int endTimeLimit)

      Sets the end time limit to the new value.
      Parameters:
        `endTimeLimit` - The new value for end time limit in minutes of day.
      Since:
        2.2.4/2.6

    - #### compareTo

          public int compareTo(Channel other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Channel>`

    - #### setChannelName

          public void setChannelName(java.lang.String name)

      Sets the name of this channel. If this is used by a Plugin nothing will happen.
      Parameters:
        `name` - The new name for the channel.
      Since:
        2.2.5/2.6.3

    - #### setChannelCopyrightNotice

          public void setChannelCopyrightNotice(java.lang.String copyrightNotice)

      Sets the copyright notice of this channel. If this is used by a Plugin nothing will happen.
      Parameters:
        `copyrightNotice` - The new copyright notice for the channel.
      Since:
        2.2.5/2.6.3

    - #### setChannelWebpage

          public void setChannelWebpage(java.lang.String webpage)

      Sets the webpage of this channel. If this is used by a Plugin nothing will happen.
      Parameters:
        `webpage` - The new webpage for the channel.
      Since:
        2.2.5/2.6.3

    - #### getUnescapedName

          public java.lang.String getUnescapedName()

      Gets the unescaped name of this channel.

      Returns:
        The unescaped name of this channel.

    - #### getUniqueId

          public java.lang.String getUniqueId()

      Gets a unique identifier of this channel.

      Returns:
        The unique identifier of this channel.
      Since:
        2.7

    - #### getLocalizedCategory

          public static java.lang.String getLocalizedCategory(int category)

      get the localized name of the given category
      Parameters:
        `category` - category bit, see Channel.CATEGORY_XYZ
      Returns:
        localized name
      Since:
        3.0

    - #### getDataServicePackageName

          public java.lang.String getDataServicePackageName()

    - #### getDataServiceId

          public java.lang.String getDataServiceId()

    - #### getCountriesString

          public java.lang.String getCountriesString()

      Gets the countries String for this channel.

      Returns:
        The countries String for this channel.
      Since:
        3.2.1

    - #### setJointChannel

          public void setJointChannel(Channel ch)

      Sets the joint channel of this channel.

      Parameters:
        `ch` - The joint channel or `null` if there is no joint channel.

    - #### getJointChannelName

          public java.lang.String getJointChannelName()

      Gets the joint channel name of this channel

      Returns:
        The joint channel name of this channel or `null` if there is no joint channel name.
      Since:
        3.2.1

    - #### getJointChannelIcon

          public javax.swing.Icon getJointChannelIcon()

      Gets the joint channel icon of this channel

      Returns:
        The joint channel icon of this channel or `null` if there is no joint channel icon.
      Since:
        3.2.1

    - #### getJointChannel

          public Channel getJointChannel()

      Gets the joint channel of this channel.

      Returns:
        The joint channel of this channel or `null` if there is no joint channel.
      Since:
        3.2.1

    - #### getBaseChannel

          public Channel getBaseChannel()

      Gets the base channel of this channel.

      Returns:
        The base channel of this channel or `null` if there is no base channel.
      Since:
        3.2.1

    - #### getSharedChannelId

          public java.lang.String getSharedChannelId()

      Gets the shared channel id for this channel.

      Returns:
        The shared channel id or `null` if there is none.
      Since:
        3.2.1

    - #### getChannelForChannel

          public static Channel getChannelForChannel(Channel ch)

      Gets the base channel for the given channel if joined or returns the channel.

      Parameters:
        `ch` - The channel to check.
      Returns:
        The given channel if not joined or the base channel if joined.
      Since:
        3.2.1

    - #### getSortNumber

          public java.lang.String getSortNumber()

      Gets the sort number of this channel.
      Returns:
        The sort number of this channel.
      Since:
        3.3.4

    - #### setSortNumber

          public void setSortNumber(java.lang.String number)

      Sets the sort number of this channel to the given value.

      Parameters:
        `number` - The sort number for this channel or `null` if channel has no sort number.
      Since:
        3.3.4

    - #### isAccessControl

          public boolean isAccessControl()

      Returns:
        If channel is access controled.
      Since:
        3.3.4

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        A hash-code which never changes during tv-browser runtime.
      Since:
        3.4.1

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)